Name:           remind
Version:        03.01.12
Release:        %mkrel 5
Summary:        A sophisticated calendar and alarm program

Group:          Office/Organizer
License:        GPLv2
URL:            http://www.roaringpenguin.com/en/penguin/openSourceProducts/remind
Source0:        http://www.roaringpenguin.com/files/download/remind-%{version}.tar.gz
Source1:        tkremind.desktop
Patch0:         remind-nostrip.patch
Patch1:         remind-03.01.12-rem2ps-margins.patch
Requires:       tcl
BuildRequires:  desktop-file-utils

%description
Remind is a sophisticated calendar and alarm program. It includes the following
features:
  * A sophisticated scripting language
  * Plain-text, PostScript and HTML output
  * Timed reminders and pop-up alarms

%package gui
Group:          Office/Organizer
Summary:        A graphical front-end for remind using Tcl/Tk
Requires:       tk > 8.0
Requires:       remind = %{version}-%{release}
Requires:       tcl-tcllib

%description gui
The remind-gui package contains a (self-described) "cheesy" graphical front
end for Remind using Tcl/Tk.

%prep
%setup -q
# Convert remind man page to UTF8
pushd man
iconv -c -t UTF8 remind.1 > remind.1.utf8
%{__mv} remind.1.utf8 remind.1
popd
%patch0 -p1
%patch1
pushd www
find . -type f -exec chmod -x {} \;
popd


%build
%configure
%{__make} %{?_smp_mflags}

%check
cd src
if ! make test; then
  set +x
  for f in `find .. -name \*.diff -type f -print`; do
    echo "TEST FAILURE: $f --"
    cat "$f"
    echo "-- $f result ends."
  done
  set -x
fi

%install
# This preserves timestamps.
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

# Copy rem2html to /usr/bin.  Leave in the www directory also as it is used
# by the demo program there.
%{__install} -m 755 -p www/rem2html $RPM_BUILD_ROOT/usr/bin/

# Install desktop stuff.
desktop-file-install --vendor "fedora"             \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications  \
  --add-category "Office"                          \
  %{SOURCE1}

%files
%{_bindir}/rem2html
%{_bindir}/cm2rem.tcl
%{_bindir}/rem2ps
%{_bindir}/remind
%{_bindir}/rem
%{_mandir}/man1/cm2rem.1.*
%{_mandir}/man1/rem2ps.1.*
%{_mandir}/man1/remind.1.*
%{_mandir}/man1/rem.1.*

%doc COPYRIGHT docs/README.UNIX docs/WHATSNEW examples www

%files gui
%{_datadir}/applications/*
%{_bindir}/tkremind
%{_mandir}/man1/tkremind.1.*



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 03.01.12-5.mga3
+ Revision: 380310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 shlomif <shlomif> 03.01.12-4.mga3
+ Revision: 317972
- Fix dependency

* Wed Nov 14 2012 shlomif <shlomif> 03.01.12-3.mga3
+ Revision: 317966
- remind package based on the Fedora package

